import '@src/project/carnet/design/prospekt/css/main.less';

import '@src/project/carnet/design/themes/themes.js';

import '@src/project/carnet/design/prospekt/css/themes-dark.less';

import '@src/project/carnet/design/prospekt/css/add.less';
import '@src/project/carnet/design/prospekt/css/add-dark.less';

import '@src/project/carnet/design/prospekt/css/cl_redesign.less';

import 'script-loader?sourceMap=true!@src/project/carnet/design/prospekt/js/main.js';


// < !--CL JS za scroll to top svih navigacijskih buttona u mobilnom meniju-- >

var firstTabInput = document.getElementById("tabone");
var secondTabInput = document.getElementById("tabtwo");
var thirdTabInput = document.getElementById("tabthree");

function respondToVisibility(element, callback) {
  var options = {
    root: document.documentElement,
  };

  var observer = new IntersectionObserver((entries, observer) => {
    entries.forEach((entry) => {
      callback(true);
    });
  }, options);

  observer.observe(element);
}

const firstTabLabel = document.getElementById("cl_mobile-nav-tab");
if (firstTabLabel) {
  respondToVisibility(firstTabLabel, (isVisible) => {
    if (isVisible) {
      firstTabInput.setAttribute("checked", true);
      // ovo ti ne radi ništa "checked" nista ne znaci
      firstTabInput.click();
    } else {
      secondTabInput.click();
    }
  });
}

const videoAnchor = document.getElementById("acpy-demo-id");
const allButtons = document.querySelectorAll("[class*='cl_mobile_menu'] button");

allButtons.forEach((x) => {
  x.addEventListener("click", () => {
    videoAnchor.scrollIntoView({ behavior: "smooth" });
  });
});

//<!--CL JS kraj-- >;